Subject: Re: [Netconf] depth in get-data

From: Balazs Lengyel <[email-masked]>
Date: Fri, 1 Dec 2017 16:51:23 +0100

I strongly  support adding a depth leaf to <get-data>

Balazs

On 2017-11-28 22:30, Andy Bierman
wrote:

I support adding a depth leaf to <get-data>

Andy

On Tue, Nov 28, 2017 at 12:37 AM,
Martin Bjorklund <[email-masked]>
wrote:

Hi,

There are some known issues with <get> and
<get-config> that are

identified in Andy's old

draft-bierman-netconf-efficiency-extensions-00.
That draft also

proposes a new operation <get2> which addresses
these issues.

The new generic <get-data> operation in

draft-ietf-netconf-nmda-netconf actually also
addresses some of these

issues.

But there is one importnat thing that still is missing,
and that is

the "depth" parameter, which can be used by the client
to limit the

amount of data retrieved from a server.

Note that RESTCONF defines the "depth" parameter as
well.

So I propose we add a leaf "depth" to the rpc
"get-data", with the

same semantics as in RESTCONF:

leaf depth {

type union {

type uint16 {

range "1..65535";

}

type enumeration {

enum "unbounded";

}

}

default "unbounded";

description

"For each node selected by the filter, this
parameter

selects how many conceptual sub-tree levels
should be

returned in the reply.  If the depth is 1, the
reply include

just the selected nodes but no children.  If
the depth is

'unbounded', all descendant nodes are
included.";

}

/martin

_______________________________________________

Netconf mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/netconf

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

--
Balazs Lengyel Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909 email: [email-masked]